default: vara
%.c: %.ngg
	ngg -oc "$@" -oh-auto --c-include-guard-prefix N96_DRAW_ --x-allow-nullability-errors "$<"
brushes.h: brushes.c
brushes.o: brushes.c brush-params.h brushes.h
brush-params.h: brush-params.c
brush-params.o: brush-params.c brush-params.h
commongui.h: commongui.c
commongui.o: commongui.c commongui.h
core.h: core.c
core.o: core.c pixel.h brush-params.h core.h
doc.h: doc.c
doc.o: doc.c pixel.h brush-params.h core.h floodfill.h layer.h image-cairo.h doc.h
entryslider.h: entryslider.c
entryslider.o: entryslider.c commongui.h entryslider.h
floodfill.h: floodfill.c
floodfill.o: floodfill.c pixel.h brush-params.h core.h floodfill.h
image-cairo.h: image-cairo.c
image-cairo.o: image-cairo.c pixel.h brush-params.h core.h image-cairo.h
imageview.h: imageview.c
imageview.o: imageview.c commongui.h pixel.h brush-params.h core.h image-cairo.h imageview.h
layer.h: layer.c
layer.o: layer.c pixel.h brush-params.h core.h layer.h
main.h: main.c
main.o: main.c commongui.h entryslider.h brush-params.h brushes.h pixel.h core.h floodfill.h layer.h image-cairo.h doc.h imageview.h newdocdialog.h quickpalette.h ui.h test.h main.h
newdocdialog.h: newdocdialog.c
newdocdialog.o: newdocdialog.c commongui.h newdocdialog.h
pixel.h: pixel.c
pixel.o: pixel.c pixel.h
quickpalette.h: quickpalette.c
quickpalette.o: quickpalette.c commongui.h pixel.h brush-params.h core.h image-cairo.h imageview.h quickpalette.h
test.h: test.c
test.o: test.c commongui.h entryslider.h brush-params.h brushes.h pixel.h core.h floodfill.h layer.h image-cairo.h doc.h imageview.h newdocdialog.h quickpalette.h ui.h test.h
ui.h: ui.c
ui.o: ui.c commongui.h entryslider.h brush-params.h brushes.h pixel.h core.h floodfill.h layer.h image-cairo.h doc.h imageview.h newdocdialog.h quickpalette.h ui.h
vara: brushes.o brush-params.o commongui.o core.o doc.o entryslider.o floodfill.o image-cairo.o imageview.o layer.o main.o newdocdialog.o pixel.o quickpalette.o test.o ui.o
	$(CC) $(CFLAGS) -o vara brushes.o brush-params.o commongui.o core.o doc.o entryslider.o floodfill.o image-cairo.o imageview.o layer.o main.o newdocdialog.o pixel.o quickpalette.o test.o ui.o  $(LDFLAGS)
clean:
	rm -f brushes.[cho] brush-params.[cho] commongui.[cho] core.[cho] doc.[cho] entryslider.[cho] floodfill.[cho] image-cairo.[cho] imageview.[cho] layer.[cho] main.[cho] newdocdialog.[cho] pixel.[cho] quickpalette.[cho] test.[cho] ui.[cho] vara
